Loading...
Searching...
No Matches
phi0

## Detailed Description

Examples
  leveque.h, leveque_dg.cc, zalesak.h, zalesak_circle.h, and zalesak_dg.cc.

Definition at line 37 of file leveque.h.

## Public Member Functions

Float | operator() (const point &x) const
| phi0 (size_t d)
Float | operator() (const point &x) const
| phi0 ()
Float | operator() (const point &x) const
| phi0 ()

## Public Attributes

phi_exact | _phi

## Static Protected Attributes

static constexpr Float | r = 0.15
static constexpr Float | x0 = 0.5
static constexpr Float | y0 = 0.75

## Constructor & Destructor Documentation

## phi0() [1/3]

phi0 | ( | size_t | d | ) |

Definition at line 41 of file leveque.h.

## phi0() [2/3]

phi0 | ( |  | ) |

Examples
  leveque.h, zalesak.h, and zalesak_circle.h.

Definition at line 116 of file zalesak.h.

## phi0() [3/3]

phi0 | ( |  | ) |

Definition at line 57 of file zalesak_circle.h.

## Member Function Documentation

## operator()() [1/3]

Float operator() | ( | const point & | x | ) | const

Examples
  leveque.h, zalesak.h, and zalesak_circle.h.

Definition at line 38 of file leveque.h.

## operator()() [2/3]

Float operator() | ( | const point & | x | ) | const

Definition at line 115 of file zalesak.h.

## operator()() [3/3]

Float operator() | ( | const point & | x | ) | const

Definition at line 56 of file zalesak_circle.h.

## Member Data Documentation

## r

constexpr Float r = 0.15

static constexpr protected

Examples
  leveque.h.

Definition at line 44 of file leveque.h.

## x0

constexpr Float x0 = 0.5

static protected

Examples
  leveque.h.

Definition at line 45 of file leveque.h.

## y0

constexpr Float y0 = 0.75

static protected

Examples
  leveque.h.

Definition at line 46 of file leveque.h.

## _phi

phi_exact _phi

Examples
  zalesak.h, and zalesak_circle.h.

Definition at line 117 of file zalesak.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/leveque.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/zalesak.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/zalesak_circle.h